/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2016. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

define( [
		"dijit/form/Button", "dojo/dom", "dojo/request/iframe"
], function ( Button, dom, iframe ) {
	return {
		downloadFile : function ( streamId, compentId, fileItemId, name, type ) {
			var iframeExport = iframe( net.jazz.ajax.contextRoot() + "/service/com.ibm.teampdp.query.engine.common.IRppGeneratedFileService", {
				handleAs : "txt",
				data : {
					streamId : streamId,
					compentId : compentId,
					fileItemId : fileItemId,
					fileName : name,
					type : type,
				}
			} );
			iframeExport.cancel();
		}
	}
} );