/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2016. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

define( [
		"dijit/form/Button", "dojo/dom", "dojo/request/iframe",
		"dojo/i18n!com.ibm.teampdp.query.engine.web/ui/internal/page/nls/searchPage",
], function ( Button, dom, iframe, searchPage ) {
	return {
		exportButton : function ( formJson ) {
			var buttonExport = new Button( {
				iconClass : "display_icon export",
				title : searchPage.BUTTON_EXPORT,
				style : {
					"float" : "right",
				},
				onClick : function () {
					// cancel the deferred result
					var iframeExport = iframe(
							net.jazz.ajax.contextRoot() + "/service/com.ibm.teampdp.query.engine.common.IRppExportService", {
								handleAs : "csv",
								data : formJson,
							} ).then( function ( data ) {
								displayRppError( error );
					} );
					iframeExport.cancel();
				}
			} );
			return buttonExport;
		}
	}
} );